### Method

# ECal ComponentPropertyBag add

since: 3.34

#### Declaration [src]

    void
    e_cal_component_property_bag_add (
      ECalComponentPropertyBag* bag,
      const ICalProperty* prop
    )

#### Description [src]

Adds a copy of the `prop` into the `bag`.

Available since: 3.34

#### Parameters

`prop`

  Type: `None`

  An `ICalProperty`.

  The data is owned by the caller of the method.